
Figure - Bug #111272
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

Bug # 111270 (CLOSED): 【BSP】【EVT】【WIFI】【必现】以太网和wifi同时连接时，状态栏只显示以太网连接标识，不显示wifi连接标识      

【BSP】【EVT】【WIFI】【必现】设备重启后，wifi不会自动回连
2022-08-16 14:45 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-16

Priority: Normal Due date:

Assignee: SZTS_TEST 邹涛 % Done: 20%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: Found Version: 0812-2031

Resolution: Degrated:

Severity: Normal Verified Version: 因为Internet检测，要在国内,且要求回连,需要去掉这个检测

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT处于开机状态且wifi功能正常

操作步骤：

1、成功连接一个wifi后，然后重启

2、重启后查看wifi是否会自动连接

实际结果：

1、重启后wifi不会自动连接

预期结果：

1、重启后wifi自动连接

History

#1 - 2022-08-16 16:00 - SZTS_TEST 邹涛

- Tracker changed from 测试 Test-IT to Bug

- Severity set to Normal

- Reproducibility set to Every time

- Test Type set to Bring Up Test

- Found Version set to 0812-2031

#2 - 2022-08-16 17:07 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to SZTS_TEST 邹涛

- % Done changed from 0 to 20

Hi 邹涛,

重启后wifi自动连接

连接Wi-Fi后默认会有Internet detection, 请使用翻墙网络测试.
如果要在国内,且要求会连,需要去掉掉这个检查,请反馈翻墙网络测试结果,我们再确定是否要取消掉这个检测.

谢谢!

#3 - 2022-08-19 20:08 - SZTS_TEST 邹涛

目前这个项目都是在国内，

#4 - 2022-08-19 20:08 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD LC 陶洪普

#5 - 2022-08-22 14:01 - CD LC 陶洪普

- File Ignore-Internet-detection.png added

请参照附件，关闭Internet 检测．

#6 - 2022-08-22 14:02 - CD LC 陶洪普

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD LC 陶洪普 to CD LC-徐玺栋

#7 - 2022-08-24 15:57 - CD LC-徐玺栋

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

- Root cause set to 因为Internet检测，要在国内,且要求回连,需要去掉这个检测

目前进展：

已经在代码中作出修改去掉Internet检测，本地验证没问题；

gerrit：https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/NetworkStack/+/144317

下一步计划：

请测试同学在8/25日的DB上测试。

#8 - 2022-08-24 16:01 - CD LC-徐玺栋

- Verified Version set to 因为Internet检测，要在国内,且要求回连,需要去掉这个检测

- Root cause deleted (因为Internet检测，要在国内,且要求回连,需要去掉这个检测)

#9 - 2022-08-29 16:47 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

0.0.0.20220826_alpha_private_userdebug，版本上验证问题已修复，关闭该bug

#10 - 2022-08-29 17:07 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#11 - 2022-09-16 09:57 - CD SWPM-杨宏伟

- Target version changed from 590 to VX1_MCE_FSE_V2.0_20220930
#12 - 2022-12-22 20:26 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

144317 general/platform/packages/modules/N

etworkStack

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xidong.xu@thundersoft.com

LC:WIFI:Turn off Internet detectionSet the defaultValue's value of getIsCaptivePortalCheckEnabled()" to "CAPTIVE_PORTAL_MODE_IGNORE" TC-RID:

1201-0400228IssueID: TS-R-DF-111272Change-Id: I2f65bfb68d6a7d76eb008a2866a67507cbef6f2c

Files

Ignore-Internet-detection.png 113 KB 2022-08-22 CD LC 陶洪普
